Skip to main content
POST
/
workflows
/
variables
/
system
/
history
List all entries for a system variable name (history)
curl --request POST \
  --url https://api.artu.ai/workflows/variables/system/history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "name": "<string>",
  "options": {
    "filter": {},
    "sort": "<unknown>",
    "cursor": "<string>",
    "offset": 4503599627370495,
    "limit": 20,
    "includeTotalCount": true
  }
}
'
{
  "data": [
    {
      "name": "<string>",
      "description": "<string>",
      "scope": "<unknown>",
      "scopes": [],
      "effectiveDate": "<string>",
      "value": "<unknown>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
name
string
required
options
object

Response

200 - application/json

OK

data
object[]
required
pagination
object
required